petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateBoxMesh

Creates a mesh on the tensor product of unit intervals (box) using simplices.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateBoxMesh(MPI_Comm comm, PetscInt dim, PetscBool interpolate, DM *dm)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - The communicator for the DM object Many br
| dim | - The spatial dimension Many br
| interpolate | - Flag to create intermediate mesh pieces (edges, faces) Many br

### Output Parameter

dm -The DM object Many br

Many br

### Keywords

DM, create

### See Also

DMPlexCreateHexBoxMesh(), DMSetType(), DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html